Update contact method
curl --request PATCH \
--url https://api.getmonitor.io/api/v1/members/contact-methods/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Organization-Id: <x-organization-id>' \
--data '
{
"config": {
"url": "https://example.com/hooks/oncall"
}
}
'import requests
url = "https://api.getmonitor.io/api/v1/members/contact-methods/{id}"
payload = { "config": { "url": "https://example.com/hooks/oncall" } }
headers = {
"X-Organization-Id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Organization-Id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({config: {url: 'https://example.com/hooks/oncall'}})
};
fetch('https://api.getmonitor.io/api/v1/members/contact-methods/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getmonitor.io/api/v1/members/contact-methods/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'config' => [
'url' => 'https://example.com/hooks/oncall'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Organization-Id: <x-organization-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getmonitor.io/api/v1/members/contact-methods/{id}"
payload := strings.NewReader("{\n \"config\": {\n \"url\": \"https://example.com/hooks/oncall\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Organization-Id", "<x-organization-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.getmonitor.io/api/v1/members/contact-methods/{id}")
.header("X-Organization-Id", "<x-organization-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"config\": {\n \"url\": \"https://example.com/hooks/oncall\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getmonitor.io/api/v1/members/contact-methods/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Organization-Id"] = '<x-organization-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"config\": {\n \"url\": \"https://example.com/hooks/oncall\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "dklb8nn9d9w80r1laoruny2h",
"userId": "u7Kp2Qm9Xa4Lr8Tn1Vb6Zc3Wd5Ye0Hf",
"organizationId": "k2p9x7w4m1n8b3v6c5z0q2r7",
"type": "webhook",
"config": {
"url": "https://example.com/hooks/oncall"
},
"isEnabled": false,
"position": 0,
"createdAt": "2026-09-27T14:22:01.102Z",
"updatedAt": "2026-09-27T14:22:01.646Z"
}{
"message": [
"name must be longer than or equal to 1 characters",
"regions must be an array"
],
"error": "Bad Request",
"statusCode": 400
}{
"message": "Unauthorized",
"statusCode": 401
}{
"message": "No access to this organization",
"error": "Forbidden",
"statusCode": 403
}{
"message": "Monitor not found",
"error": "Not Found",
"statusCode": 404
}Member Contact Methods
Update contact method
Authentication: User session only (the panel), with X-Organization-Id. API keys receive 401.
PATCH
/
api
/
v1
/
members
/
contact-methods
/
{id}
Update contact method
curl --request PATCH \
--url https://api.getmonitor.io/api/v1/members/contact-methods/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Organization-Id: <x-organization-id>' \
--data '
{
"config": {
"url": "https://example.com/hooks/oncall"
}
}
'import requests
url = "https://api.getmonitor.io/api/v1/members/contact-methods/{id}"
payload = { "config": { "url": "https://example.com/hooks/oncall" } }
headers = {
"X-Organization-Id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Organization-Id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({config: {url: 'https://example.com/hooks/oncall'}})
};
fetch('https://api.getmonitor.io/api/v1/members/contact-methods/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getmonitor.io/api/v1/members/contact-methods/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'config' => [
'url' => 'https://example.com/hooks/oncall'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Organization-Id: <x-organization-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getmonitor.io/api/v1/members/contact-methods/{id}"
payload := strings.NewReader("{\n \"config\": {\n \"url\": \"https://example.com/hooks/oncall\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Organization-Id", "<x-organization-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.getmonitor.io/api/v1/members/contact-methods/{id}")
.header("X-Organization-Id", "<x-organization-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"config\": {\n \"url\": \"https://example.com/hooks/oncall\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getmonitor.io/api/v1/members/contact-methods/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Organization-Id"] = '<x-organization-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"config\": {\n \"url\": \"https://example.com/hooks/oncall\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "dklb8nn9d9w80r1laoruny2h",
"userId": "u7Kp2Qm9Xa4Lr8Tn1Vb6Zc3Wd5Ye0Hf",
"organizationId": "k2p9x7w4m1n8b3v6c5z0q2r7",
"type": "webhook",
"config": {
"url": "https://example.com/hooks/oncall"
},
"isEnabled": false,
"position": 0,
"createdAt": "2026-09-27T14:22:01.102Z",
"updatedAt": "2026-09-27T14:22:01.646Z"
}{
"message": [
"name must be longer than or equal to 1 characters",
"regions must be an array"
],
"error": "Bad Request",
"statusCode": 400
}{
"message": "Unauthorized",
"statusCode": 401
}{
"message": "No access to this organization",
"error": "Forbidden",
"statusCode": 403
}{
"message": "Monitor not found",
"error": "Not Found",
"statusCode": 404
}Authorizations
Headers
Body
application/json